#!/sbin/sh

sysprop="/system/system/build.prop"
etcprop="/system/system/etc/prop.default"
vndprop="/vendor/build.prop"

if [ ! -r ${sysprop}.bck ]; then  
  cp -v $sysprop ${sysprop}.bck ||(echo "!!! error !!!" && exit 1)
fi
if [ ! -r ${etcprop}.bck ]; then
  cp -v $etcprop ${etcprop}.bck ||(echo "!!! error !!!" && exit 1)
fi
if [ ! `grep "#certification_tweak" $sysprop` ]; then
  vnd=`grep -e build.fingerprint -e product.manufacturer \
  -e product.model -e product.brand -e product.name -e product.device \
  -e product.vendor.manufacturer -e product.vendor.model -e product.vendor.brand \
  -e product.vendor.name -e product.vendor.device $vndprop |sed -e 's/vendor.//'`
  sed -i -e '/ro.build.fingerprint/d' -e '/ro.product.manufacturer/d' \
  -e '/ro.product.model/d' -e '/ro.product.brand/d' -e '/ro.product.name/d' \
  -e '/ro.product.device/d' $sysprop $etcprop
  echo '
#certification_tweak' >> $sysprop
  for i in "${vnd}"; do echo "$i" >> $sysprop; done
  echo 'ro.boot.verifiedbootstate=green
#ro.boot.flash.locked=1
#ro.boot.veritymode=enforcing
#ro.boot.vbmeta.device_state=locked
#ro.build.tags=release-keys
#ro.boot.warranty_bit=0
#ro.warranty_bit=0
#ro.debuggable=0
#ro.secure=1
#ro.build.type=user
#ro.build.selinux=0
#ro.adb.secure=1' >> $sysprop
  bld=`grep ro.build.fingerprint $sysprop`
  echo "$bld" >> $etcprop
  exit 0
fi

exit 1
